Package org.apache.sling.feature.launcher.impl.launchers

# Class FrameworkRunner

java.lang.Object
org.apache.sling.feature.launcher.impl.launchers.AbstractRunner
org.apache.sling.feature.launcher.impl.launchers.FrameworkRunner

All Implemented Interfaces:
  `Callable<Integer>`

public class FrameworkRunner extends AbstractRunner
Launcher directly using the OSGi launcher API.

## Field Summary

### Fields inherited from class org.apache.sling.feature.launcher.impl.launchers.AbstractRunner

`logger`

## Constructor Summary

Constructors
Constructor
Description
`FrameworkRunner(Map<String,String> frameworkProperties, Map<Integer,List<URL>> bundlesMap, List<Object[]> configurations, List<URL> installables)`

## Method Summary

Modifier and Type
Method
Description
`Integer`
`call()`
`protected org.osgi.framework.launch.FrameworkFactory`
`getFrameworkFactory()`
Get the framework factory

### Methods inherited from class org.apache.sling.feature.launcher.impl.launchers.AbstractRunner

`finishStartup, registerFeatureService, setBundleReporter, setFeatureSupplier, setupFramework, startFramework`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameworkRunner

public FrameworkRunner(Map<String,String> frameworkProperties, Map<Integer,List<URL>> bundlesMap, List<Object[]> configurations, List<URL> installables) throws Exception

Throws:
  `Exception`

## Method Details

### getFrameworkFactory

protected org.osgi.framework.launch.FrameworkFactory getFrameworkFactory() throws Exception
Get the framework factory

Returns:
  Return the first factory found via service loaders
Throws:
  `Exception` - If no factory can be found

### call

public Integer call() throws Exception

Throws:
  `Exception`